Bug 54826 - New security updated kernel of Oct 18 breaks Nvidia support
New security updated kernel of Oct 18 breaks Nvidia support
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-19 19:15 EDT by joncruz
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-20 20:28:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joncruz 2001-10-19 19:15:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.17-14smp i686)

Description of problem:
Just upgraded my RedHat 7.1 box to the new Kernel. X would no longer start
up. I tried rebuilding the latest NVIDIA kernel module, and going to the
stock 2D support that comes with XFree86 4. Neither would work.

500 MHz PIII Gateway machine with a 16 MB RIVA TNT Card. 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Have a RIVA TNT
2. Upgrade to the security patched kernel of Oct 18
3. X no longer starts.
	

Actual Results:  X failed to start

Expected Results:  X starting

Additional info:
Comment 1 Arjan van de Ven 2001-10-19 19:18:27 EDT
Get a new driver from nvidia if you want to use the binary only module;
Why 2D breaks is a mystory; cc'ing the XFree maintainer
Comment 2 joncruz 2001-10-20 20:28:43 EDT
My /boot/kernel.h looks a little suspicious:

/* This file is automatically generated at boot time. */
#ifndef __BOOT_KERNEL_H_
#define __BOOT_KERNEL_H_

/* Kernel type i686i686 */

#ifndef __MODULE_KERNEL_i686i686
#define __MODULE_KERNEL_i686i686 1
#endif
...
Comment 3 Mike A. Harris 2001-10-28 21:23:23 EST
Red Hat does not have the source code to Nvidia's binary only driver,
and does not ship or support Nvidia's binary driver.  If you have a
problem with the Nvidia driver, the proper support/bugfix path is to
contact Nvidia directly.

If you have a problem with the open source 2D "nv" driver that ships
with the distribution, please file a separate bug report against the
XFree86 component, including full details of the problem, and attaching
your XFree86 configuration files, and your XFree86 log and
/var/log/messages, and I can then assess the situation, and either look
into the problem and/or inform the upstream driver maintainer.

Closing bug NOTABUG.  Unsupported driver.
Comment 4 joncruz 2001-10-28 23:04:10 EST
This was the problem:

/* Kernel type i686i686 */

 #ifndef __MODULE_KERNEL_i686i686

RedHat has the sources to the code that generates kernel.h

They should be capable of fixing that.

Note You need to log in before you can comment on or make changes to this bug.